catalog:
  title: Graphite Env

templates:
- freestyle
- base

variables:
  description: Python virtualenv for graphite
  keywords:
  - database
  - timeseries
  - python
  - virtualenv

  branches:
  - master

  extra-provides:
  - nature: virtualenv
    target: graphite
  platform-requires:
    ubuntu:
      packages:
      - python-virtualenv

  shell.command: |
    virtualenv -p /usr/bin/python2 --no-site-packages "${toolkit.dir}/opt/graphite"
    . "${toolkit.dir}/opt/graphite/bin/activate"
    pip install six

versions:
- name: stable
